Require "builtins.scripts.socket" error (SOLVED)

#1

1)I saw “builtins.scripts.socket” code, it add some helper funcions for socket, right?
2)It is worked, only when i build html. When i use build, i get error.Looks like bug=)

 /libs_project/shared.lua:94: module 'builtins.scripts.socket' not found:
	no file 'builtins.scripts.socket'
0 Likes

#2

My mistake.
It was not add when build. Parser not understand require. =)
Bad
_G.require(“builtins.scripts.socket”)
Good
require(“builtins.scripts.socket”)

1 Like